import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type SkeletonProps = PropsWithMetadata<{
    /** Allows providing a custom class name */
    className?: string;
    /** Sets the background color of all skeleton blocks, accepts any valid CSS color value */
    color?: string;
    /** Sets the height in pixels of all skeleton blocks */
    height?: number;
    /** Determines the number of skeleton blocks to render */
    repeat?: number;
}>;
declare const Skeleton: React.ForwardRefExoticComponent<{
    /** Allows providing a custom class name */
    className?: string | undefined;
    /** Sets the background color of all skeleton blocks, accepts any valid CSS color value */
    color?: string | undefined;
    /** Sets the height in pixels of all skeleton blocks */
    height?: number | undefined;
    /** Determines the number of skeleton blocks to render */
    repeat?: number | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Skeleton;
